Description

I would like to suggest that Redmine include an XML interface for submitting new issues. I would like to program automatic feedback

in my applications to create new issues in Redmine when unknown or bad exceptions occur. I see value in this feature because it

allows integration with Redmine and it also allows my applications to proactively create issues when something goes wrong. It seems

better than trusting 100% of problems to be reported by end users.

I was thinking of some kind of SOAP compliant interface that provides operations to interact with Redmine.

I'm not interested in being notified of an exception. There are lots of ways to do that without Redmine. I am interested in creating

issues based on exceptions. It would be a great way to help our team be proactive about issues.

Someone suggested adding REST to Redmine. I dont know much about REST but it looks like it could work. I would prefer that the

Redmine folks implement as apart of the project, as I'm sure they would have better ideas about how to implement. I think it should

be something everyone can enjoy and not just my own custom hack.

Related issues:

Is duplicate of Redmine - Feature #296: REST API Closed

History

#1 - 2008-02-23 02:08 - chris mcharg

+1 for a REST api

#2 - 2008-03-04 19:33 - Martin Herr

+1 for REST api :)

#3 - 2008-03-07 06:35 - satoko hibi

+1 for REST api.

Should meet the needs of the times.

#4 - 2008-03-18 21:55 - Thomas Lecavelier

- Status changed from New to Resolved

Clone of #269, mark this as resolved, waiting for #269 implementation.

#5 - 2008-06-17 22:12 - Doug Raney

This doesnt seem to be related to #269 at all. Or am I missing something. I believe this issue should be reopened.

#6 - 2008-06-17 22:13 - Doug Raney

I see that Thomas Lecavelier intended to say it was a clone of #296 and not #269.

#7 - 2009-07-10 10:00 - Yohann Monnier

I published a webservice plugin, based on mylyn connector, in which i implement access to many parts of redmine.

http://github.com/YohannsMonnier/redmine_webservice/tree/master

#8 - 2009-09-25 01:57 - Eric Davis

- Status changed from Resolved to Closed
- Resolution set to Duplicate

Closing as a duplicate of #269.

#9 - 2009-09-26 04:01 - Mischa The Evil

Eric Davis wrote:

Closing as a duplicate of #269.

 I guess you've intended to type: #296? :)
